Replay a webhook delivery
curl --request POST \
--url https://api.blank.build/api/v2/webhook-deliveries/{deliveryId}/replays \
--header 'Authorization: Bearer <token>' \
--header 'idempotency-key: <idempotency-key>'import requests
url = "https://api.blank.build/api/v2/webhook-deliveries/{deliveryId}/replays"
headers = {
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'idempotency-key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.blank.build/api/v2/webhook-deliveries/{deliveryId}/replays', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attemptCount": 1,
"createdAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"endpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nextAttemptAt": "2023-11-07T05:31:56Z",
"responseStatus": 349,
"updatedAt": "2023-11-07T05:31:56Z"
}{
"code": "malformed_json",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 400,
"title": "Malformed JSON",
"type": "https://blank.build/docs/reference/errors#malformed_json",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "invalid_api_key",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 401,
"title": "Invalid API key",
"type": "https://blank.build/docs/reference/errors#invalid_api_key",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "insufficient_scope",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 403,
"title": "Insufficient scope",
"type": "https://blank.build/docs/reference/errors#insufficient_scope",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "webhook_delivery_not_found",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 404,
"title": "Webhook delivery not found",
"type": "https://blank.build/docs/reference/errors#webhook_delivery_not_found",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "webhook_delivery_not_replayable",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 409,
"title": "Webhook delivery not replayable",
"type": "https://blank.build/docs/reference/errors#webhook_delivery_not_replayable",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "request_body_too_large",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 413,
"title": "Request body too large",
"type": "https://blank.build/docs/reference/errors#request_body_too_large",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "unsupported_content_type",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 415,
"title": "Unsupported content type",
"type": "https://blank.build/docs/reference/errors#unsupported_content_type",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "validation_failed",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 422,
"title": "Validation failed",
"type": "https://blank.build/docs/reference/errors#validation_failed",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "rate_limit_exceeded",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 429,
"title": "Rate limit exceeded",
"type": "https://blank.build/docs/reference/errors#rate_limit_exceeded",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "internal_error",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 500,
"title": "Internal server error",
"type": "https://blank.build/docs/reference/errors#internal_error",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "rate_limit_unavailable",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 503,
"title": "Rate limiting unavailable",
"type": "https://blank.build/docs/reference/errors#rate_limit_unavailable",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}Webhooks
Replay a webhook delivery
Creates a fresh owned delivery for the same immutable event.
POST
/
webhook-deliveries
/
{deliveryId}
/
replays
Replay a webhook delivery
Authorizations
Server-side scoped Blank API key. Never embed it in browser or mobile code.
Headers
Required string length:
8 - 128Pattern:
^[\x21-\x7E]+$Example:
"launch-20260809-01"
Path Parameters
Response
Replayed delivery.
Required range:
x >= 0Available options:
build.blank.launch.created.v1, build.blank.launch.confirmed.v1, build.blank.trade.confirmed.v1, build.blank.staking.position.updated.v1, build.blank.fee.distribution.created.v1, build.blank.prediction.submitted.v1, build.blank.prediction.round.locked.v1, build.blank.prediction.round.settled.v1, build.blank.presale.updated.v1, build.blank.audience-export.completed.v1, build.blank.operation.failed.v1 Available options:
request_timeout, network_error, url_disallowed, redirect_limit_exceeded, redirect_location_missing Required range:
100 <= x <= 599Available options:
pending, processing, succeeded, retrying, dead_letter ⌘I